Loading...
Searching...
No Matches
OldMusic Struct Reference

## Public Member Functions

| OldMusic (const OldMusic &)=delete
OldMusic & | operator= (const OldMusic &)=delete
| OldMusic (OldMusic &&other)
OldMusic & | operator= (OldMusic &&other)

## Public Attributes

std::unique_ptr< CChannel > | music
float | fadeTime = 0.0f
float | currentTime = 0.0f

## Friends

bool | operator< (const OldMusic &l, const OldMusic &r)
bool | operator== (const OldMusic &l, const OldMusic &r)

The documentation for this struct was generated from the following file:

- src/sound/oalsound/alsound.h